Skip to content
Start here

List logo matches

client.brandProtection.v2.logoMatches.get(LogoMatchGetParams { account_id, query_id, download, 4 more } params, RequestOptionsoptions?): LogoMatchGetResponse { matches, total }
GET/accounts/{account_id}/cloudforce-one/v2/brand-protection/logo/matches

Get paginated list of logo matches for a specific brand protection logo query

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
params: LogoMatchGetParams { account_id, query_id, download, 4 more }
account_id: string

Path param

minLength1
query_id: string

Query param

minLength1
download?: string

Query param

limit?: string

Query param

offset?: string

Query param

order?: "asc" | "desc"

Query param: Sort order. Options: ‘asc’ (ascending) or ‘desc’ (descending)

One of the following:
"asc"
"desc"
orderBy?: "matchedAt" | "domain" | "similarityScore" | "registrar"

Query param: Column to sort by. Options: ‘matchedAt’, ‘domain’, ‘similarityScore’, or ‘registrar’

One of the following:
"matchedAt"
"domain"
"similarityScore"
"registrar"
ReturnsExpand Collapse
LogoMatchGetResponse { matches, total }
matches: Array<Match>
id: number
domain: string | null
matched_at: string | null
query_id: number
registrar: string | null
similarity_score: number
url_scan_id: string | null
content_type?: string
image_data?: string
total: number
minimum0

List logo matches

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const logoMatch = await client.brandProtection.v2.logoMatches.get({
  account_id: 'x',
  query_id: 'x',
});

console.log(logoMatch.matches);
{
  "matches": [
    {
      "id": 0,
      "domain": "domain",
      "matched_at": "matched_at",
      "query_id": 0,
      "registrar": "registrar",
      "similarity_score": 0,
      "url_scan_id": "url_scan_id",
      "content_type": "content_type",
      "image_data": "image_data"
    }
  ],
  "total": 0
}
Returns Examples
{
  "matches": [
    {
      "id": 0,
      "domain": "domain",
      "matched_at": "matched_at",
      "query_id": 0,
      "registrar": "registrar",
      "similarity_score": 0,
      "url_scan_id": "url_scan_id",
      "content_type": "content_type",
      "image_data": "image_data"
    }
  ],
  "total": 0
}